import request from '@/utils/request'

// 添加后台账号
export function addAccount(data) {
  return request({
    url: '/admin/create',
    method: 'post',
    data
  })
}

// 账号列表
export function getAccountList(data) {
  return request({
    url: '/admin/index',
    method: 'get',
    params: data
  })
}

// 禁用启用账号
export function changeAccountStatus(data) {
  return request({
    url: '/admin/setStatus',
    method: 'post',
    data
  })
}

// 删除账号
export function deleteAccount(data) {
  return request({
    url: '/admin/destroy',
    method: 'post',
    data
  })
}

// 修改账号
export function editAccount(data) {
  return request({
    url: '/admin/update',
    method: 'post',
    data
  })
}

// 分配角色
export function choiceAdminRole(data) {
  return request({
    url: '/admin/choiceAdminRole',
    method: 'post',
    data
  })
}

// 上传头像
export function uploadImg(data) {
  return request({
    url: '/admin/uploadImg',
    method: 'post',
    data
  })
}

