import request from '@/utils/request'

/* 获取导航信息 */
export function getNav(params) {
  return request({
    method: 'get',
    url: '/site/index',
    params
  })
}
// 获取所有导航列表
export function getAllSite() {
  return request({
    url: '/site/all',
    method: 'get'
  })
}
/* 添加导航 */
export function addNav(data) {
  return request({
    method: 'post',
    url: '/site/create',
    data
  })
}
/* 修改导航信息 */
export function amendNav(data) {
  return request({
    method: 'post',
    url: '/site/update',
    data
  })
}
/* 删除导航信息 */
export function delNav(data) {
  return request({
    method: 'post',
    url: '/site/destroy',
    data
  })
}
/* 上传图片 */
export function upLoadImg(data) {
  return request({
    method: 'post',
    url: '/site/uploadImg',
    data
  })
}
/* 获取分类 */
export function getGroup(params) {
  return request({
    method: 'get',
    url: '/navigation/get_group',
    params
  })
}
